Bug #664

cl-update (CL 14 Alpha 2)

Added by Rosen Alexandrow over 5 years ago. Updated over 5 years ago.

Status:New Start:07/28/2014
Priority:Normal Due date:
Assignee:- % Done:

0%

Category:- Spent time: -
Target version:-
Votes: 1

Description

Привет! Я установил на старой ПК CLDX 14 Alpha 2 Все прошло отлично, но после первые актуализацей cl-update ругается

CLDX ~ # cl-update
Repositories synchronization
 * Syncing the Distros repository ...                                                                                                                                              [ ok ]
 * Syncing the Calculate repository ...                                                                                                                                            [ ok ]
 * Syncing the Portage repository ...                                                                                                                                              [ ok ]
 * Synchronization finished
System configuration
 * Fixing the settings ...                                                                                                                                                         [ ok ]
 * Updating the list of system packages ...                                                                                                                                        [ ok ]
 * Updating configuration files ...                                                                                                                                                [ ok ]
Checking for updates
 * Calculating dependencies ...
 * Listing packages for installation  
 * User land tool for cleaning up old perl installs (U) app-admin/perl-cleaner-0 (15 kB)
 * ENCA detects the character coding of a file and converts it if desired (U) app-i18n/enca-0 (167 kB)
 * An object-oriented scripting language (U) dev-lang/ruby-0 (4,807 kB)
 * A library for writing single instance application (NS) dev-libs/libunique-0 (97 kB)
 * A URI Perl Module (U) dev-perl/URI-0 (70 kB)
 * Cross platform Make (U) dev-util/cmake-0 (7,975 kB)
 * Lensfun: A library for rectifying and simulating photographic lens distortions (U) media-libs/lensfun-0 (175 kB)
 * The Theora Video Compression Codec (U) media-libs/libtheora-0 (278 kB)
 * Media Player for Linux (rR) media-video/mplayer-0 (3,086 kB)
 * The Shoreline Firewall, commonly known as Shorewall, is a high-level tool for configuring Netfilter (U) net-firewall/shorewall-0 (517 kB)
 * Core libraries of shorewall / shorewall(6)-lite (U) net-firewall/shorewall-core-0 (102 kB)
 * A system-independent library for user-level network packet capture (U) net-libs/libpcap-0 (293 kB)
 * Robust and highly flexible tunneling application compatible with many OSes (U) net-misc/openvpn-0 (441 kB)
 * News Aggregator for RDF/RSS/CDF/Atom/Echo feeds (U) net-news/liferea-0 (758 kB)
 * The distribution metadata for a CPAN dist (U) perl-core/CPAN-Meta-0 (65 kB)
 * A set of version requirements for a CPAN dist (U) perl-core/CPAN-Meta-Requirements-0 (36 kB)
 * Read and write a subset of YAML for CPAN Meta files (U) perl-core/CPAN-Meta-YAML-0 (34 kB)
 * MD5 message digest algorithm (U) perl-core/Digest-MD5-0 (57 kB)
 * Character encodings (U) perl-core/Encode-0
 * Compile and link C code for Perl modules (U) perl-core/ExtUtils-CBuilder-0 (48 kB)
 * Create a module Makefile (U) perl-core/ExtUtils-MakeMaker-0 (166 kB)
 * Utilities to write and check a MANIFEST file (U) perl-core/ExtUtils-Manifest-0 (41 kB)
 * Converts Perl XS code into C code (U) perl-core/ExtUtils-ParseXS-0 (72 kB)
 * Finding and running system commands made easy (U) perl-core/IPC-Cmd-0 (48 kB)
 * Build and install Perl modules (U) perl-core/Module-Build-0 (180 kB)
 * Gather package and POD information from perl module files (U) perl-core/Module-Metadata-0 (37 kB)
 * A generic input parsing/checking mechanism (U) perl-core/Params-Check-0 (35 kB)
 * Parse META.yml and other similar CPAN metadata files (U) perl-core/Parse-CPAN-Meta-0 (31 kB)
 * The Perl Storable Module (U) perl-core/Storable-0 (85 kB)
 * Implements timelocal() and timegm() (U) perl-core/Time-Local-0
 * Perl extension for Version Objects (U) perl-core/version-0 (73 kB)
 * Linux dynamic and persistent device naming support (aka userspace devfs) (U) sys-fs/udev-0 (549 kB)
 * Daemon providing interfaces to work with storage devices (U) sys-fs/udisks-0 (229 kB)
 * A modular screen saver and locker for the X Window System (U) x11-misc/xscreensaver-0 (8,569 kB)
 * 29,123 kB will be downloaded

Would you like to merge these packages? (Yes/No): y
Updating packages
 * Calculating dependencies ...                                                                                                                                                    [ ok ]
!!! '=media-libs/libtheora' is not a valid package atom.
!!! Please check ebuild(5) for full details.
 * Emerge failed
 * Update failed

History

Updated by Mikhail Hiretsky over 5 years ago

Какая версия пакета portage в системе?
Выполните cl-update еще раз и приложите файл /var/log/calculate/lastcommand.log

Updated by Rosen Alexandrow over 5 years ago

Mikhail Hiretsky wrote:

Какая версия пакета portage в системе?
Выполните cl-update еще раз и приложите файл /var/log/calculate/lastcommand.log

2.2.8-r1 portage

CLDX ~ # cl-update 
Repositories synchronization
 * Syncing the Distros repository ...                                                                                                                                              [ ok ]
 * Syncing the Calculate repository ...                                                                                                                                            [ ok ]
 * Syncing the Portage repository ...                                                                                                                                              [ ok ]
 * Synchronization finished
System configuration
 * Fixing the settings ...                                                                                                                                                         [ ok ]
 * Updating the list of system packages ...                                                                                                                                        [ ok ]
 * Updating configuration files ...                                                                                                                                                [ ok ]
Checking for updates
 * Calculating dependencies ...
 * Listing packages for installation  
 * Cross platform Make (U) dev-util/cmake-0 (7,975 kB)
 * The distribution metadata for a CPAN dist (U) perl-core/CPAN-Meta-0 (65 kB)
 * A set of version requirements for a CPAN dist (U) perl-core/CPAN-Meta-Requirements-0 (36 kB)
 * Compile and link C code for Perl modules (U) perl-core/ExtUtils-CBuilder-0 (48 kB)
 * Create a module Makefile (U) perl-core/ExtUtils-MakeMaker-0 (166 kB)
 * Utilities to write and check a MANIFEST file (U) perl-core/ExtUtils-Manifest-0 (41 kB)
 * Converts Perl XS code into C code (U) perl-core/ExtUtils-ParseXS-0 (72 kB)
 * Finding and running system commands made easy (U) perl-core/IPC-Cmd-0 (48 kB)
 * Build and install Perl modules (U) perl-core/Module-Build-0 (180 kB)
 * Gather package and POD information from perl module files (U) perl-core/Module-Metadata-0 (37 kB)
 * A generic input parsing/checking mechanism (U) perl-core/Params-Check-0 (35 kB)
 * Parse META.yml and other similar CPAN metadata files (U) perl-core/Parse-CPAN-Meta-0 (31 kB)
 * The library for Calculate 2 (U) sys-apps/calculate-lib-0
 * Calculate Linux update tool (U) sys-apps/calculate-update-0
 * Calculate Utilities meta package (U) sys-apps/calculate-utilities-0
 * 8,730 kB will be downloaded

Would you like to merge these packages? (Yes/No): y
Updating packages
 * Calculating dependencies ...                                                                                                                                                    [ ok ]
!!! '=perl-core/ExtUtils-Manifest' is not a valid package atom.
!!! Please check ebuild(5) for full details.
 * Emerge failed
 * Update failed
CLDX ~ # cat /var/log/calculate/lastcommand.log 

Local copy of remote index is up-to-date and will be used.
!!! '=perl-core/ExtUtils-Manifest' is not a valid package atom.
!!! Please check ebuild(5) for full details.
CLDX ~ # 

Updated by Mikhail Hiretsky over 5 years ago

Выполните cl-update -v

Updated by Rosen Alexandrow over 5 years ago

Mikhail Hiretsky wrote:

Выполните cl-update -v

CLDX ~ # cl-update -v
Repositories synchronization
 * Syncing the Distros repository ...                                                                                                                                              [ ok ]
 * Syncing the Calculate repository ...                                                                                                                                            [ ok ]
 * Syncing the Portage repository ...                                                                                                                                              [ ok ]
 * Synchronization finished
System configuration
 * Fixing the settings ...                                                                                                                                                         [ ok ]
 * Updating the list of system packages ...                                                                                                                                        [ ok ]
 * Updating configuration files ...                                                                                                                                                [ ok ]
Checking for updates
 * Calculating dependencies ...                                                                                                                                                    [ ok ]
[binary     U  ] perl-core/ExtUtils-Manifest                           [1.610.0-r1]                 [1.610.0] 41 kB
[binary     U  ] perl-core/Params-Check                                [0.360.0-r1]                 [0.360.0] 35 kB
[binary     U  ] perl-core/Parse-CPAN-Meta                             [1.440.400-r1]               [1.440.400] 31 kB
[binary     U  ] perl-core/CPAN-Meta-Requirements                      [2.122.0-r1]                 [2.122.0] 36 kB
[binary     U  ] perl-core/Module-Metadata                             [1.0.11-r1]                  [1.0.11] 37 kB
[binary     U  ] perl-core/IPC-Cmd                                     [0.780.0-r1]                 [0.780.0] 48 kB
[binary     U  ] perl-core/ExtUtils-CBuilder                           [0.280.205-r1]               [0.280.205] 48 kB
[binary     U  ] perl-core/ExtUtils-ParseXS                            [3.180.0-r1]                 [3.180.0] 72 kB
[binary     U  ] perl-core/CPAN-Meta                                   [2.120.921-r1]               [2.120.921] 65 kB
[binary     U  ] perl-core/ExtUtils-MakeMaker                          [6.640.0-r1]                 [6.640.0] 166 kB
[binary     U  ] perl-core/Module-Build                                [0.400.300-r1]               [0.400.300] USE="{-test}" 180 kB
[binary     U  ] dev-util/cmake                                        [2.8.12.2-r1]                [2.8.12.2] USE="ncurses -emacs -qt4 (-qt5) {-test}" 7,975 kB
[ebuild     U #] sys-apps/calculate-lib                                [3.2.0_alpha12-r1:3::calculate] [3.2.0_alpha12:3::calculate] USE="-minimal" 0 kB
[ebuild     U #] sys-apps/calculate-update                             [3.2.0_alpha12-r1:3::calculate] [3.2.0_alpha12:3::calculate] 0 kB
[ebuild     U #] sys-apps/calculate-utilities                          [3.2.0_alpha12-r1:3::calculate] [3.2.0_alpha12:3::calculate] CL="client console consolegui desktop" 0 kB
 * 8,730 kB will be downloaded

Would you like to merge these packages? (Yes/No): y
Updating packages
 * Calculating dependencies ...                                                                                                                                                    [ ok ]
!!! '=perl-core/ExtUtils-Manifest' is not a valid package atom.
!!! Please check ebuild(5) for full details.
 * Emerge failed
 * Update failed
CLDX ~ # 

Updated by Mikhail Hiretsky over 5 years ago

emerge --info

Updated by Rosen Alexandrow over 5 years ago

Mikhail Hiretsky wrote:

emerge --info

http://pastebin.calculate-linux.org/en/show/9590

Updated by Mikhail Hiretsky over 5 years ago

Временно уберите опцию --columns из EMERGE_DEFAULT_OPTS позже проблема будет исправлена.

Updated by Rosen Alexandrow over 5 years ago

Mikhail Hiretsky wrote:

Временно уберите опцию --columns из EMERGE_DEFAULT_OPTS позже проблема будет исправлена.

Ага я буду попробвать, я сделал её потому что более четливый выход портежей.

Also available in: Atom PDF

Thank you!